VOS_REMADDRS(1)

NAME
vos_remaddrs - removes a file server machine's entry from the VLDB

SYNOPSIS
vos remaddrs -uuid <UUID of server>
    [-cell <cell name>] [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos rema -u <UUID of server>
    [-c <cell name>]
    [-noa] [-l] [-v] [-e] [-nor]
    [-co <config directory>]
    [-h]

DESCRIPTION
The vos remaddrs command removes a server entry from the Volume Location Database (VLDB). There must be no VLDB entries that list the machine as a site for any version of a volume. If necessary, use the vos move or vos remove command to move or remove volumes. It is appropriate to remove a VLDB server entry when removing the corresponding file server machine from service.

To display all VLDB server entries, use the vos listaddrs command.

OPTIONS

-uuid <UUID of server>
    The unique ID as provided by the "vos listaddrs -printuuid" command.

EXAMPLES
The following command removes the VLDB server entry for the file server with the addresses 192.12.107.214 and 10.47.11.17.

   $ vos remaddrs -uuid 008f157e-bad0-157c-0ffee-357c4d1faa77 -verbose
   vos: Removing UUID with addresses:
   UUID: 008f157e-bad0-157c-0ffee-357c4d1faa77
   192.12.107.214
   10.47.11.17

PRIVILEGE REQUIRED
Issuer must be listed in the /etc/openafs/server/UserList file on each database server machine.

SEE ALSO
CellServDB(5), UserList(5), fileserver(8), vos(1), vos_listaddrs(1), vos_setaddrs(1)

COPYRIGHT
Copyright 2014 Sine Nomine Associates. All Rights Reserved.

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Michael Meffie for OpenAFS.